Export Execution Logs 1
Provides logs generated by workflow scripting and system events.
Request
URI
GET
https://{api_host}/vco/api/workflows/{workflowId}/executions/{executionId}/syslogs
COPY
Path Parameters
string
workflowId
Required
workflowId
string
executionId
Required
executionId
Query Parameters
integer
maxResult
Optional
Constraints:
default: 2147483647
maxResult
string of
array
conditions
Optional
conditions
Responses
200
The request is successful
Returns
WsSysLogsList
of type(s)
application/json
{
"logs": [
{
"severity": "string",
"userName": "string",
"origin": "string",
"short-description": "string",
"long-description": "string",
"time-stamp": "string",
"time-stamp-val": 0
}
]
}
array of
object
logs
Optional
logs
401
The user is not authorized
Returns
WsSysLogsList
of type(s)
application/json
"WsSysLogsList Object"
array of
object
logs
Optional
logs
404
Can not find a workflow with the specified ID or the user does not have 'read' access rights for that workflow
Returns
WsSysLogsList
of type(s)
application/json
"WsSysLogsList Object"
array of
object
logs
Optional
logs
Code Samples
COPY
curl -H 'Authorization: <value>' https://{api_host}/vco/api/workflows/{workflowId}/executions/{executionId}/syslogs
On This Page
Workflow Run Service Operations
GET
Get All Executions For
POST
Start Workflow Execution
GET
Get User Interaction
POST
Answer User Interaction
DELETE
Cancel User Interaction
GET
Get Workflow Execution
DELETE
Delete Workflow Execution
GET
Export Execution Logs 1
GET
Get Workflow Execution Statistics
GET
Get Workflow Execution State
DELETE
Cancel Workflow Execution
GET
Get Workflow Execution Logs